Skip to main content

Redeem reward

POST /v1/public/rewards/{id}/redeem

Deprecated compatibility alias for redeeming a customer reward. Use /customers/{customerId}/rewards/{rewardId}/redeem for explicit customer ownership.

Authorization

X-API-Key required with the rewards:redeem scope

Parameters

NameLocationTypeRequiredDescription
idpathstringYesThe resource's returned id or externalId.
Idempotency-KeyheaderstringYesA unique key for this logical write operation. Keys are retained for 24 hours.

Request body

FieldTypeRequiredDescription
locationIdstringNoOptional active merchant location responsible for the redemption.

Request example

curl -X POST "https://api.remyrewards.co.uk/v1/public/rewards/66c735e253f2836fbe941234/redeem" \
  -H "Accept: application/json" \
  -H "X-API-Key: YOUR_API_KEY" \
  -H "Idempotency-Key: order-1042-redeem-1" \
  -H "Content-Type: application/json" \
  --data '{
  "locationId": "66c735e253f2836fbe941333"
}'

Responses

StatusDescription
200Reward redeemed.
400The request is missing a required value or contains invalid data.
401The API key is missing or invalid.
403The API key is valid but does not have the required scope.
404The requested integration resource was not found.
409The idempotency key is already processing or was used for a different request.
429A rate or concurrency limit was exceeded.

Success response example

{
"success": true,
"data": {
"id": "66c735e253f2836fbe941236",
"title": "Free Coffee",
"status": "active",
"expiry": "2026-09-23T11:00:00.000Z"
}
}